I appear to have two red circle which I did not create on drawing in model space. I am assuming it is some sort of error but can not figure it out. On my layout tab viewports containing the section does not show, only the red circle.
I have a drawing that has a heap of circle that have two on top of each other. Overkill works for lines and arcs, but I can't seem to get it to work for circles. Is there another way to get rid of one of the circles? We will be using the file in CAM software so two on top of each other is a pain.
I need to make block with certain random elements in it which regenerate when the block is copied. In this case it's the rotation of the main part of a drawn tree, In which I want the trunk to stay the same but for the polyline that makes up the leafy part to rotate randomly.
I am trying to make a hexagonal lattice of circles (1 micron dia, period - 3 microns) and exted it over a square cm in area atleast. The final objective is to make this as a mask pattern for the Laser fabrication/writer. So I create the pattern over a small area and use array command to extend it over a finite area (~500 microns or so). I then combine these points to a single block and then use the mirror command to extend it even further. But as soon as I reach an area of 2.5 mm square, the program seems to slow down and doesnt respond. I assume this is the limitation of my computing power to handle so many objects at once. (I have 4 GB RAM and 97 % is utilized at this time). Is there a way to circumvent this computing limitation, making use of some facility/command within AutoCAD?
I'd like to make a custom linetype that is a the standard DASHDOT linetype, but with a small circle drawn on the ends of the line or arc (and only at the ends).
I am trying to create a custom linetype with solid circles at a specified distance along the custom linetype (see attachment). I have tried using a shape, the special Wingding character but cannot get the result I want. I've tried the hatching method, again with no luck. I've went through the discussion groups, online content, etc. but cannot get it to generate the line the way I want. I see a few people that have been successful but I cannot get it to work.
I am working with a drawing provided to me by someone else, and where there should be arcs they have multiple line segments. I need a radius for what I'm doing, so I drew a circle with TTR and then tried to trim against the tangent lines to get my arc. However, sometimes this works and sometimes it doesn't. why this doesn't always work?
We've upgraded to 2012 and have noticed a problem when fast clicking on the mouse when using commands.
For example when using the erase command I would usually type E and then quickly right click and left click. However in 2012 it brings up random command instead of erase i.e. sheetset, publish, ucs etc..Bringing up the text window afterwards it shows
Command: e ERASE Select objects: Specify opposite corner: *Cancel* 0 found Select objects: *Cancel* Command: _PointCloudIndex
The right click and left click are only processed once.This happens on all commands typed on the command line not just erase
Having only recently started using Autocad 2012 (I mainly used various versions of LT over the last 10+ years) I have noticed a few strange goings on.
It doesn't happen all the time but sometimes whilst in a command ("move" for example), when I go to click on an object or pull a window, a separate, totally random command activates itself. Why this happens, I just hit escape a couple of times & continue what I was doing.
I'm not sure if it is a case of me, in my haste, missing my intended object & hitting the right click button (which I use as a return & not a drop down menu).
I am trying to draw a circle on an angled face on a valve I made, and am not too sure of the best way to do it.
Here is a front view showing the angle. I need to use the face at the top that is on a 22* angle or so
[URL]
Here is a top view showing the 10 holes I need to make at the proper angle. The blue lines are showing where each of my holes will need to be with a fitting on it as well
change all circles of a certain diameter in a .dxf file to points. I received the following lisp file. For the last 10-12 years it has worked great. We create many custom sized parts that could be cut on a plasma (utilizing the circles for holes) or punched, assigning a crosshair tool to the point. Now we are switching to a laser, and want to etch a crosshair at this same location. Our solution has been to draw the crosshair and copy to each required location. Sometimes this may be 20 to 30 locations. Now I would like to know if there is a way to replace all of these circles with a crosshair. This could be a similar lisp file, or an easier manual operation. I know that I can select all of the circles using the filter command and specifying the radius. But I don't know how to assign the 'crosshair' to these locations. (defun c:ctopt ( / ename cnt ss) (setq ss (ssget "x" '((0 . "CIRCLE")))) (if ss (progn (setq cnt 0) (repeat (sslength ss) (setq ename (ssname ss cnt)) (if (equal (cdr (assoc 40 (entget ename))) 0.025 0.005) ;use this line for a radius 0.025 +/- 0.00015 ;(<= (cdr (assoc 40 (entget ename))) 0.05) ;use this line for a radius of 0.05 or less (progn (entmake (list '(0 . "POINT") (assoc 10 (entget ename))(assoc 8 (entget ename)))) (entdel ename) )) (setq cnt (1+ cnt)) ) ) ) (princ) )
Okay, I'm new to associative arrays, I'm attaching a drawing so you can see what I'm trying to accomplish with this. I'm doing an elevation view of a slab that has a cross section of the rebar. I've shown one of the bars spanning from left to right, represented by a rectangle, and the cross section of the bars running front to back represented by circles. You can see what I'm trying to show here. In the drawing I've attached, the top three sketches are examples of how this would look if it were working correctly.
What I'm trying to do is create an array (of circles) that will stretch to the length of the bar spanning left to right. I want the quantity of items in the array to automatically change based on the length of the bar and the spacing of items, so if there is 6" of spacing between the items instead of 12" it will automatically add twice the amount of items to fill in that space. I've been trying to use a path array, and it isn't working the way I want. I'm not familiar with rectangular arrays, so not sure what to do there either.
I need to lay one of our existing blocks ontop of every power outlet on a floorplan (the power outlets are currently shown as a simple shape (eg. either a rectangle, triangle or circle) with text next to it.
There are hundreds of power outlets, so if there is a lisp routine for replacing any part of the power outlet with the block, eg. replacing text/mtext with a block or replacing a pline with a block.
I have found a very successful lisp routine for replacing circles with blocks, but this obviously only works on the power outlets that are shown as circles. So a simpler way of looking at it could be a lisp for drawing a circle around mtext/text then I could simply use the circle to block lisp to place the blocks.
I'm trying to make a logo. Circular logo with an inner ring maybe 4 px wide and 15 px inside the rim of the outer circle.
Basically I want a blue circle with a yellow inside ring. What's the best way of doing this? The only thing i can think of is: creating a blue circle marquee, and then another (trying to estimate a new circle size and change the color) that is yellow, and then making another smaller blue circle inside the new one. That's just ugly.
I tried the edit/stroke but that just gave me a stroke around the outer circle; it didn't put a ring inside the circle 15 px down.
Also I tried to contract the original circle by selecting it, then Modify/contract. That's got me a selected ring, inside the circle. Now how in the world do I make that little ring yellow? It just remains selected and I can't seem to find a way to color it.
I've found some example code on how to create Leaderline and have been playing around with it. So far so good, but when I create my leaderline and the Mtext generates, it is always preceeded by an "OK" and i can't figure out where it's coming from. I've tried using TrimStart on a number of the strings to no avail. I know it must be something insanely simple but it can't seem to get it.
using Autodesk.AutoCAD.Runtime;using Autodesk.AutoCAD.ApplicationServices;using Autodesk.AutoCAD.DatabaseServices;using Autodesk.AutoCAD.EditorInput;using Autodesk.AutoCAD.Geometry;namespace DimensionLibrary{ public class DimensionCommands
When a co-worker is trying to hatch using pick point, multiple red circles start appearing and choke up the program. He is not even picking inside the area where these gap indication circles are appearing. I have had him adjust the hatch gap tolerance but am wondering if I can turn off this behavior entirely?
Two circles have appeared on my drawing, I cant select them to get rid of them, they scale differently to the rest of the drawing when I zoom, i.e. I zoom out and the get large, I zoom right in and they are small. Where did they come from and more importantly how can I get rid of them?
when I create a shape and fill it in for a colour ( so I can send it to a screen printer to be put on our product ), I get an issue with DN-P-2726.dwg. I was trying to recreate the part being painted red, so the screen printer overlays with the black and grey.
I am trying to make 2 different size cirlces into to on Solid object. One circle is 20 in diameter and the other is 50 in diameter. I was wondering what the command was.
Trying to create a multileader callout that doesn't have a landing and the leader axis passes through the center of the ballon circle and not the side. Most the CAD applications I have worked with don't use leaders with "Landings".
Im having a little issue with connecting lines and circles but not sure how to shorten the question to do a search on here. I have 2 concentric circles (the two circles form the walls of a round tower wall) which have 2 lines (representing a wall) passing through them. I want to join the circles from the circumference to the lines, but each time I try to do it the line seems to default to the center of the circles and to the endpoints of the lines which is not what I want. The eventual aim will be to remove a section of the circles and the lines where the new line connects to them to form an opening in the walls.
Ive tried <shift>right click and selecting tangent on the circles but I cant figure out what to do on the lines and it constantly defaults to the end of the line not to where I want to intersect the lines.
We've got a couple drawings where circles in the model tab are hiding objects behind them like a wipeout will, but only when printing or print previewing.
We're using AutoCAD 2010 and the viewport shad plot setting is set to hidden.
9 times our of 10, I can't trim away the overlap on a pair of circles.. as every now and then the trim suddenly decides it will work!
Trim_Issue.jpg
I just can't work out why these pesky circles refuse to trim! I'm trying to merge them into one 'cloud' like shape, by removing the overlapping section from each circle.